<?php

interface Files{
    // File
    // PHP native functions
    public function file_exists ($sFilePath);
    public function file_put_contents ($sFilePath, $sData, $iFlags = 0, $mContext = null);
    public function file_get_contents ($sFilePath, $bUseIncludePath = FALSE, $mContext = null, $iOffset = 0, $iMaxLen = -1);
    public function file_get_contents_with_etag ($sFilePath, $sEtag ,$bUseIncludePath = FALSE, $mContext = null, $iOffset = 0, $iMaxLen = -1);
    public function copy ($sSourceFilePath, $sDestFilePath);
    public function filesize ($sFilePath);
    public function readfile ($sFilePath, $bUseIncludePath = FALSE, $mContext = null);
    public function rename ($sSourceFilePath, $sDestFilePath, $mContext = null);
    public function unlink ($sFilePath, $mContext = null);
    public function filemtime ($sFilePath);
    public function filemtime_formated ($sFilePath, $sFormat);
    // Veremes functions
    public function getFileInfos ($sFilePath);
    public function getProxyPassUrl ($sFilePath);
    public function getFileEtag($sFilePath);

    // Directory
    // PHP native functions
    public function scandir($sDirPath, $iSortOrder = SCANDIR_SORT_ASCENDING, $mContext = null);
    public function mkdir($sDirPath, $iMode = 0777, $bRecursive = FALSE, $mContext = null);
    public function rmdir($sDirPath, $mContext = null);
    public function is_dir($sDirPath);
    // Veremes functions
    public function getFolderInfos($sDirPath);
    public function clearDir($sDirPath);
    public function copyDirectory($sDirPathSrc, $sDirPathDest);

}
?>
